inherit "room/room";

reset(arg) {
    object b_board;

    if (arg) return;

    if(!(b_board=present("board"))){
      move_object(b_board=clone_object("obj/bboard"),this_object());
      b_board->set_name("doc/examples/demoboard");

    }

    set_light(1);
    short_desc = "First example room";
    no_castle_flag = 0;
    inorout = 1;

    long_desc = 
	"Example room 1.\n"+
	"As you look about, you realize that you have entered a cozy exampleroom\n"+
	"There is a board here, and mortals can echo and emote in this room (see \n"+
	"rule 3.14 about emotes).\n";

    dest_dir = 
        ({
        "/doc/examples/room2","north",
        });}


init (arg) {
   ::init(arg);
   add_action("emote","emote");
   add_action("emote",":");
   add_action("ech","echo");
   return 1;
}

emote(arg){
  say (capitalize(this_player() -> query_name())+" "+arg+"\n"); 
  write("You "+arg+"\n");
  return 1;
}

ech(arg){
  say (arg+"\n");
  write ("You echo: "+arg+"\n");
  return 1;
}

























